### Method

# EDataBook DataBookDirect register_gdbus_object

since: 3.8

#### Declaration [src]

    gboolean
    e_data_book_direct_register_gdbus_object (
      EDataBookDirect* direct,
      GDBusConnection* connection,
      const gchar* object_path,
      GError** error
    )

#### Description [src]

Places `direct` on the `connection` at `object_path`.

Available since: 3.8

#### Parameters

`connection`

  Type: `GDBusConnection`

  The `GDBusConnection` to register with.

  The data is owned by the caller of the method.

`object_path`

  Type: `const gchar*`

  The object path to place the direct access configuration data.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.